Summary: Yum and up2date configuration for Fedora Legacy
Name: legacy-yumconf
Version: 3
Release: 4.fc%{version}
License: GPL
Group: System Environment/Base
Source0: fedora-legacy.repo
Source1: FEDORA-LEGACY-GPG-KEY
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: fedora-release = 3

%description
This package contains yum and up2date repository information for using
Fedora Legacy repositories

#%prep

#%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
cp -f %{SOURCE0} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
# Install gpg key to be included in the docs
%{__cp} -a %{SOURCE1} .

%post
# Import gpg key if needed
rpm -q gpg-pubkey-731002fa-400b9109 >/dev/null 2>&1 || \
    rpm --import %{_defaultdocdir}/%{name}-%{version}/FEDORA-LEGACY-GPG-KEY

# Add the repository to up2date
if [ ! "`grep ^\s**yum\ legacy-base /etc/sysconfig/rhn/sources`" ]; then
	echo 'yum legacy-base http://download.fedoralegacy.org/fedora/3/os/$ARCH/' >> /etc/sysconfig/rhn/sources
fi
if [ ! "`grep ^\s**yum\ legacy-updates /etc/sysconfig/rhn/sources`" ]; then
	echo 'yum legacy-updates http://download.fedoralegacy.org/fedora/3/updates/$ARCH/' >> /etc/sysconfig/rhn/sources
fi
# We don't want a possible error to leave the previous package installed
exit 0

%postun
# Only delete repository info if this is the final deletion.
if [ "$1" -eq  "0" ] ; then

    # Remove repository entries from /etc/sysconfig/rhn/sources
    cd /etc/sysconfig/rhn
    tmpfile=/etc/sysconfig/rhn/tmp.$$

    # preserve permissions.
    cp -p /etc/sysconfig/rhn/sources $tmpfile
    sed -e '/^[:space:]*yum\ legacy-base.*$/d' /etc/sysconfig/rhn/sources > $tmpfile
    mv $tmpfile /etc/sysconfig/rhn/sources
    cp -p /etc/sysconfig/rhn/sources $tmpfile
    sed -e '/^[:space:]*yum\ legacy-updates.*$/d' /etc/sysconfig/rhn/sources > $tmpfile
    mv $tmpfile /etc/sysconfig/rhn/sources
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc FEDORA-LEGACY-GPG-KEY
%pubkey FEDORA-LEGACY-GPG-KEY
%config(noreplace) /%{_sysconfdir}/yum.repos.d/*

%changelog
* Mon Jan 30 2006 David Eisenstein <deisenst at gtw.net> 3-4.fc3
- Add "Requires: fedora-release = 3"
- Add up2date to description and summary.

* Wed Jan 18 2006 Marc Deslauriers <marcdeslauriers@videotron.ca>
- Added up2date file mangling and gpg key import

* Fri Oct 21 2005 Jeff Sheltren <sheltren@cs.ucsb.edu>
- Merge all repo files into one
- Set repo file as config(noreplace)

* Fri Oct 21 2005 Jeff Sheltren <sheltren@cs.ucsb.edu>
- Initial build
